package service

import "context"

type Service interface {
	// QueryIP(ip string) (*model.IPInfo, error)
	GetWaf(ctx context.Context, regionCode, namespace, gatewayName string) (*WafService, error)
	CreateWaf(ctx context.Context, req *CreateWafReq) (*WafService, error)
	UpdateMode(ctx context.Context, req *UpdateModeReq) (*WafService, error)
	SaveRuleCategoryToDB(ctx context.Context) error
}
